org.eclipse.viatra.cep.core.engine.runtime

## Class TransitionWithEventTypeMatcher

- java.lang.Object
- - org.eclipse.viatra.query.runtime.internal.apiimpl.QueryResultWrapper
  - - org.eclipse.viatra.query.runtime.api.impl.BaseMatcher<TransitionWithEventTypeMatch>
    - - org.eclipse.viatra.cep.core.engine.runtime.TransitionWithEventTypeMatcher

- All Implemented Interfaces:
    ViatraQueryMatcher<TransitionWithEventTypeMatch>

      public class TransitionWithEventTypeMatcher
      extends BaseMatcher<TransitionWithEventTypeMatch>

  Generated pattern matcher API of the org.eclipse.viatra.cep.core.engine.runtime.transitionWithEventType pattern, providing pattern-specific query methods.

  Use the pattern matcher on a given model via `on(ViatraQueryEngine)`, e.g. in conjunction with `ViatraQueryEngine#on(Notifier)`.

  Matches of the pattern will be represented as `TransitionWithEventTypeMatch`.

  Original source: ``

       pattern transitionWithEventType(transition : Transition, eventType : EString){
              NegativeTransition.guards.eventType(transition, eventPatternReference);
              AtomicEventPattern.type(eventPatternReference, eventType);
       }

  See Also:
    `TransitionWithEventTypeMatch`, `TransitionWithEventTypeProcessor`, `TransitionWithEventTypeQuerySpecification`

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.viatra.query.runtime.api.impl.BaseMatcher

      `engine, querySpecification`

    - ### Fields inherited from class org.eclipse.viatra.query.runtime.internal.apiimpl.QueryResultWrapper

      `backend`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected TransitionWithEventTypeMatch` | `arrayToMatch(java.lang.Object[] match)` Converts the array representation of a pattern match to an immutable Match object.
    `protected TransitionWithEventTypeMatch` | `arrayToMatchMutable(java.lang.Object[] match)` Converts the array representation of a pattern match to a mutable Match object.
    `int` | `countMatches(Transition pTransition, java.lang.String pEventType)` Returns the number of all matches of the pattern that conform to the given fixed values of some parameters.
    `static TransitionWithEventTypeMatcher` | `create()`
    `void` | `forEachMatch(Transition pTransition, java.lang.String pEventType, IMatchProcessor<? super TransitionWithEventTypeMatch> processor)` Executes the given processor on each match of the pattern that conforms to the given fixed values of some parameters.
    `boolean` | `forOneArbitraryMatch(Transition pTransition, java.lang.String pEventType, IMatchProcessor<? super TransitionWithEventTypeMatch> processor)` Executes the given processor on an arbitrarily chosen match of the pattern that conforms to the given fixed values of some parameters.
    `java.util.Collection<TransitionWithEventTypeMatch>` | `getAllMatches(Transition pTransition, java.lang.String pEventType)` Returns the set of all matches of the pattern that conform to the given fixed values of some parameters.
    `java.util.Set<java.lang.String>` | `getAllValuesOfeventType()` Retrieve the set of values that occur in matches for eventType.
    `java.util.Set<java.lang.String>` | `getAllValuesOfeventType(Transition pTransition)` Retrieve the set of values that occur in matches for eventType.
    `java.util.Set<java.lang.String>` | `getAllValuesOfeventType(TransitionWithEventTypeMatch partialMatch)` Retrieve the set of values that occur in matches for eventType.
    `java.util.Set<Transition>` | `getAllValuesOftransition()` Retrieve the set of values that occur in matches for transition.
    `java.util.Set<Transition>` | `getAllValuesOftransition(java.lang.String pEventType)` Retrieve the set of values that occur in matches for transition.
    `java.util.Set<Transition>` | `getAllValuesOftransition(TransitionWithEventTypeMatch partialMatch)` Retrieve the set of values that occur in matches for transition.
    `TransitionWithEventTypeMatch` | `getOneArbitraryMatch(Transition pTransition, java.lang.String pEventType)` Returns an arbitrarily chosen match of the pattern that conforms to the given fixed values of some parameters.
    `boolean` | `hasMatch(Transition pTransition, java.lang.String pEventType)` Indicates whether the given combination of specified pattern parameters constitute a valid pattern match, under any possible substitution of the unspecified parameters (if any).
    `TransitionWithEventTypeMatch` | `newMatch(Transition pTransition, java.lang.String pEventType)` Returns a new (partial) match.
    `static TransitionWithEventTypeMatcher` | `on(ViatraQueryEngine engine)` Initializes the pattern matcher within an existing VIATRA Query engine.
    `static IQuerySpecification<TransitionWithEventTypeMatcher>` | `querySpecification()`
    `protected java.util.Set<java.lang.String>` | `rawAccumulateAllValuesOfeventType(java.lang.Object[] parameters)` Retrieve the set of values that occur in matches for eventType.
    `protected java.util.Set<Transition>` | `rawAccumulateAllValuesOftransition(java.lang.Object[] parameters)` Retrieve the set of values that occur in matches for transition.
    `protected TransitionWithEventTypeMatch` | `tupleToMatch(Tuple t)`

    - ### Methods inherited from class org.eclipse.viatra.query.runtime.api.impl.BaseMatcher

      `countMatches, countMatches, emptyArray, forEachMatch, forEachMatch, forOneArbitraryMatch, forOneArbitraryMatch, getAllMatches, getAllMatches, getAllValues, getAllValues, getCapabilities, getEngine, getOneArbitraryMatch, getOneArbitraryMatch, getParameterNames, getPatternName, getPositionOfParameter, getSpecification, hasMatch, matchToArray, newEmptyMatch, newMatch, rawAccumulateAllValues, rawCountMatches, rawForEachMatch, rawForOneArbitraryMatch, rawGetAllMatches, rawGetAllValues, rawGetOneArbitraryMatch, rawHasMatch, setBackend`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### on

          public static TransitionWithEventTypeMatcher on(ViatraQueryEngine engine)
                                                   throws ViatraQueryException

      Initializes the pattern matcher within an existing VIATRA Query engine. If the pattern matcher is already constructed in the engine, only a light-weight reference is returned. The match set will be incrementally refreshed upon updates.
      Parameters:
        `engine` - the existing VIATRA Query engine in which this matcher will be created.
      Throws:
        `ViatraQueryException` - if an error occurs during pattern matcher creation

    - #### create

          public static TransitionWithEventTypeMatcher create()
                                                       throws ViatraQueryException

      Returns:
        an initialized matcher
      Throws:
        `ViatraQueryException` - if an error occurs during pattern matcher creation
      No Reference:
        This method is for internal matcher initialization by the framework, do not call it manually.

    - #### getAllMatches

          public java.util.Collection<TransitionWithEventTypeMatch> getAllMatches(Transition pTransition,
                                                                                  java.lang.String pEventType)

      Returns the set of all matches of the pattern that conform to the given fixed values of some parameters.
      Parameters:
        `pTransition` - the fixed value of pattern parameter transition, or null if not bound.
        `pEventType` - the fixed value of pattern parameter eventType, or null if not bound.
      Returns:
        matches represented as a TransitionWithEventTypeMatch object.

    - #### getOneArbitraryMatch

          public TransitionWithEventTypeMatch getOneArbitraryMatch(Transition pTransition,
                                                                   java.lang.String pEventType)

      Returns an arbitrarily chosen match of the pattern that conforms to the given fixed values of some parameters. Neither determinism nor randomness of selection is guaranteed.
      Parameters:
        `pTransition` - the fixed value of pattern parameter transition, or null if not bound.
        `pEventType` - the fixed value of pattern parameter eventType, or null if not bound.
      Returns:
        a match represented as a TransitionWithEventTypeMatch object, or null if no match is found.

    - #### hasMatch

          public boolean hasMatch(Transition pTransition,
                                  java.lang.String pEventType)

      Indicates whether the given combination of specified pattern parameters constitute a valid pattern match, under any possible substitution of the unspecified parameters (if any).
      Parameters:
        `pTransition` - the fixed value of pattern parameter transition, or null if not bound.
        `pEventType` - the fixed value of pattern parameter eventType, or null if not bound.
      Returns:
        true if the input is a valid (partial) match of the pattern.

    - #### countMatches

          public int countMatches(Transition pTransition,
                                  java.lang.String pEventType)

      Returns the number of all matches of the pattern that conform to the given fixed values of some parameters.
      Parameters:
        `pTransition` - the fixed value of pattern parameter transition, or null if not bound.
        `pEventType` - the fixed value of pattern parameter eventType, or null if not bound.
      Returns:
        the number of pattern matches found.

    - #### forEachMatch

          public void forEachMatch(Transition pTransition,
                                   java.lang.String pEventType,
                                   IMatchProcessor<? super TransitionWithEventTypeMatch> processor)

      Executes the given processor on each match of the pattern that conforms to the given fixed values of some parameters.
      Parameters:
        `pTransition` - the fixed value of pattern parameter transition, or null if not bound.
        `pEventType` - the fixed value of pattern parameter eventType, or null if not bound.
        `processor` - the action that will process each pattern match.

    - #### forOneArbitraryMatch

          public boolean forOneArbitraryMatch(Transition pTransition,
                                              java.lang.String pEventType,
                                              IMatchProcessor<? super TransitionWithEventTypeMatch> processor)

      Executes the given processor on an arbitrarily chosen match of the pattern that conforms to the given fixed values of some parameters. Neither determinism nor randomness of selection is guaranteed.
      Parameters:
        `pTransition` - the fixed value of pattern parameter transition, or null if not bound.
        `pEventType` - the fixed value of pattern parameter eventType, or null if not bound.
        `processor` - the action that will process the selected match.
      Returns:
        true if the pattern has at least one match with the given parameter values, false if the processor was not invoked

    - #### newMatch

          public TransitionWithEventTypeMatch newMatch(Transition pTransition,
                                                       java.lang.String pEventType)

      Returns a new (partial) match. This can be used e.g. to call the matcher with a partial match.

      The returned match will be immutable. Use `BaseMatcher.newEmptyMatch()` to obtain a mutable match object.

      Parameters:
        `pTransition` - the fixed value of pattern parameter transition, or null if not bound.
        `pEventType` - the fixed value of pattern parameter eventType, or null if not bound.
      Returns:
        the (partial) match object.

    - #### rawAccumulateAllValuesOftransition

          protected java.util.Set<Transition> rawAccumulateAllValuesOftransition(java.lang.Object[] parameters)

      Retrieve the set of values that occur in matches for transition.
      Returns:
        the Set of all values or empty set if there are no matches

    - #### getAllValuesOftransition

          public java.util.Set<Transition> getAllValuesOftransition()

      Retrieve the set of values that occur in matches for transition.
      Returns:
        the Set of all values or empty set if there are no matches

    - #### getAllValuesOftransition

          public java.util.Set<Transition> getAllValuesOftransition(TransitionWithEventTypeMatch partialMatch)

      Retrieve the set of values that occur in matches for transition.
      Returns:
        the Set of all values or empty set if there are no matches

    - #### getAllValuesOftransition

          public java.util.Set<Transition> getAllValuesOftransition(java.lang.String pEventType)

      Retrieve the set of values that occur in matches for transition.
      Returns:
        the Set of all values or empty set if there are no matches

    - #### rawAccumulateAllValuesOfeventType

          protected java.util.Set<java.lang.String> rawAccumulateAllValuesOfeventType(java.lang.Object[] parameters)

      Retrieve the set of values that occur in matches for eventType.
      Returns:
        the Set of all values or empty set if there are no matches

    - #### getAllValuesOfeventType

          public java.util.Set<java.lang.String> getAllValuesOfeventType()

      Retrieve the set of values that occur in matches for eventType.
      Returns:
        the Set of all values or empty set if there are no matches

    - #### getAllValuesOfeventType

          public java.util.Set<java.lang.String> getAllValuesOfeventType(TransitionWithEventTypeMatch partialMatch)

      Retrieve the set of values that occur in matches for eventType.
      Returns:
        the Set of all values or empty set if there are no matches

    - #### getAllValuesOfeventType

          public java.util.Set<java.lang.String> getAllValuesOfeventType(Transition pTransition)

      Retrieve the set of values that occur in matches for eventType.
      Returns:
        the Set of all values or empty set if there are no matches

    - #### tupleToMatch

          protected TransitionWithEventTypeMatch tupleToMatch(Tuple t)

      Specified by:
        `tupleToMatch` in class `BaseMatcher<TransitionWithEventTypeMatch>`

    - #### arrayToMatch

          protected TransitionWithEventTypeMatch arrayToMatch(java.lang.Object[] match)

      Description copied from class: `BaseMatcher`
      Converts the array representation of a pattern match to an immutable Match object.
      Specified by:
        `arrayToMatch` in class `BaseMatcher<TransitionWithEventTypeMatch>`

    - #### arrayToMatchMutable

          protected TransitionWithEventTypeMatch arrayToMatchMutable(java.lang.Object[] match)

      Description copied from class: `BaseMatcher`
      Converts the array representation of a pattern match to a mutable Match object.
      Specified by:
        `arrayToMatchMutable` in class `BaseMatcher<TransitionWithEventTypeMatch>`

    - #### querySpecification

          public static IQuerySpecification<TransitionWithEventTypeMatcher> querySpecification()
                                                                                        throws ViatraQueryException

      Returns:
        the singleton instance of the query specification of this pattern
      Throws:
        `ViatraQueryException` - if the pattern definition could not be loaded